lkml.org 
[lkml]   [2010]   [Aug]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: Linux 2.6.35
On 08/02/2010 10:31 PM, Donald Parsons wrote:
> Using your suggestion as to where the problem lies, I investigated
> more deeply and found:
>
> I've now got 2.6.35-rc6-git3 to boot (and almost certainly 2.6.35 final)
>
> Make oldconfig broke at the transition where boot began failed, ie,
> between 2.6.34-git4 and 2.6.34-git5. Even though modules are the
> same, boot fails. If I use gconfig and set CONFIG_SATA_AHCI=y
> instead of CONFIG_SATA_AHCI=m it works, except cannot select =y
> unless CONFIG_ATA changed from m to y.
>
> So at some point in past, make oldconfig had apparently changed
> CONFIG_SATA_AHCI from y to m and system still booted. But between
> 2.6.34-git4 and 2.6.34-git5 the ability to boot was lost.
>
> So make oldconfig is not 100% trustworthy in this case. I do not
> know if this is a problem that should be fixed. Ask if you want
> any .config diffs.


The modules are not necessarily the same: "libahci" was introduced in

commit 365cfa1ed5a36f9bcb9f64c9f0f52155af2e9fef
Author: Anton Vorontsov <avorontsov@ru.mvista.com>
Date: Sun Mar 28 00:22:14 2010 -0400

ahci: Move generic code into libahci

so there exists the possibility that the initramfs builder, or whatever
is being used to load your ATA drivers, missed this dependency. Modern
initramfs builders should be able to figure out module dependencies, so
this /shouldn't/ be an issue... but it might be.

Jeff





\
 
 \ /
  Last update: 2010-08-04 22:19    [from the cache]
©2003-2014 Jasper Spaans. Advertise on this site